#pragma once
#include <map>
struct Fish_IntermediateVipExchangeData
{
	//编号
	int mID;
	//Vip等级
	int mVipLevel;
	//获得vip经验上限
	int mExperience;
	//基础VIP概率
	int mBasicProbability;
	//每次衰减
	int mItemcount;
};

class Fish_IntermediateVipExchange
{
public:
private:
	static std::auto_ptr<Fish_IntermediateVipExchange> msSingleton;
public:
	int GetCount();
	const Fish_IntermediateVipExchangeData* GetData(int ID);
	const std::map<int, Fish_IntermediateVipExchangeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_IntermediateVipExchange* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_IntermediateVipExchangeData> mMapData;
};
